运维开发网

Ruby脚本无法找到所需的gem

运维开发网 https://www.qedev.com 2020-08-01 21:09 出处:网络 作者:运维开发网整理
我正在尝试运行一个过去运行良好的 Ruby脚本.我需要使用Mechanize gem,因此在脚本的顶部,它表示需要’mechanize’.但是,当我尝试现在运行脚本时,终端输出显示: /Users/codebiker/.rvm/rubies/ruby-2.1.0/lib/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `
我正在尝试运行一个过去运行良好的 Ruby脚本.我需要使用Mechanize gem,因此在脚本的顶部,它表示需要’mechanize’.但是,当我尝试现在运行脚本时,终端输出显示:

/Users/codebiker/.rvm/rubies/ruby-2.1.0/lib/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- mechanize (LoadError)
from /Users/codebiker/.rvm/rubies/ruby-2.1.0/lib/ruby/site_ruby/2.1.0/rubygems/core_ext/kernel_require.rb:55:in `require'
from myscript.rb:2:in `<main>'

当我按照这里的建议运行gem env时,我得到:

RubyGems Environment:
  - RUBYGEMS VERSION: 2.2.1
  - RUBY VERSION: 2.1.0 (2013-12-25 patchlevel 0) [x86_64-darwin13.0]
  - INSTALLATION DIRECTORY: /Users/codebiker/.rvm/gems/ruby-2.1.0
  - RUBY EXECUTABLE: /Users/codebiker/.rvm/rubies/ruby-2.1.0/bin/ruby
  - EXECUTABLE DIRECTORY: /Users/codebiker/.rvm/gems/ruby-2.1.0/bin
  - SPEC CACHE DIRECTORY: /Users/codebiker/.gem/specs
  - RUBYGEMS PLATFORMS:
    - ruby
    - x86_64-darwin-13
  - GEM PATHS:
     - /Users/codebiker/.rvm/gems/ruby-2.1.0
     - /Users/codebiker/.rvm/gems/[email protected]
  - GEM CONFIGURATION:
     - :update_sources => true
     - :verbose => true
     - :backtrace => false
     - :bulk_threshold => 1000
     - :benchmark => false
     - :sources => ["http://rubygems.org/", "http://gemcutter.org"]
     - "install" => "--no-rdoc --no-ri"
     - "update" => "--no-rdoc --no-ri"
  - REMOTE SOURCES:
     - http://rubygems.org/
     - http://gemcutter.org
  - SHELL PATH:
     - /Users/codebiker/.rvm/gems/ruby-2.1.0/bin
     - /Users/codebiker/.rvm/gems/[email protected]/bin
     - /Users/codebiker/.rvm/rubies/ruby-2.1.0/bin
     - /usr/local/bin
     - /usr/bin
     - /bin
     - /usr/sbin
     - /sbin
     - /usr/local/bin
     - /opt/X11/bin
     - /usr/texbin
     - /Users/codebiker/.rvm/bin

当我运行rvm get head时,我得到:

Upgrading the RVM installation in /Users/codebiker/.rvm/
RVM PATH line found in /Users/codebiker/.bashrc /Users/codebiker/.zshrc.
RVM sourcing line found in /Users/codebiker/.bash_profile /Users/codebiker/.zprofile.
Upgrade of RVM in /Users/codebiker/.rvm/ is complete.

当我运行哪个ruby时,我得到:

/Users/codebiker/.rvm/rubies/ruby-2.1.0/bin/ruby

而ruby -v给了我:

ruby 2.1.0p0(2013-12-25修订版44422)[x86_64-darwin13.0]

任何建议,想法或提示将不胜感激!我不知道这里有什么问题.

必须首先安装Gems,然后才能在脚本中要求它们.安装宝石;首先打开一个终端窗口然后键入:

gem安装GEM-NAME或在你的情况下:gem install mechanize

0

精彩评论

暂无评论...
验证码 换一张
取 消